------------------------------------------------------------------------------------
--Name：            211229[简体征服][活动脚本]GlobalValentine-百合玫瑰兰花
--Creator:      江宇君
--Created:     2021-12-29
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>251


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(69,29)
local PlayerBoy = CppScriptMgr:AddSimplePlayer(1060970,69,29, "Mister");
local PlayerGirl = CppScriptMgr:AddSimplePlayer(1063740,55,33, "RoseFairy");

PlayerGirl:RunTo(66,30)

PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)
PlayerBoy:SetAction(271)


PlayerBoy:Say("Cough... Cough...",3000)
CppScriptMgr:WaitMilSec(2000)
PlayerGirl:AddEffect("tulip-flower-charm1");
CppScriptMgr:WaitMilSec(1000)

PlayerGirl:SetDir(6)
-- PlayerGirl:SetAction(220)
PlayerGirl:Say("I`m leaving now. These roses will keep you company for me.",3000)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)
-- PlayerGirl:SetAction(220)

CppScriptMgr:WaitMilSec(1000)
PlayerBoy:AddEffect("tulip-flower-charm1");
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)

